ext/matrix_transform.hpp File Reference

GLM_EXT_matrix_transform More...

Go to the source code of this file.

## Functions

template<typename genType >
GLM_FUNC_DECL GLM_CONSTEXPR genType | identity ()
| Builds an identity matrix.
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | lookAt (vec< 3, T, Q > const &eye, vec< 3, T, Q > const &center, vec< 3, T, Q > const &up)
| Build a look at view matrix based on the default handedness. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | lookAtLH (vec< 3, T, Q > const &eye, vec< 3, T, Q > const &center, vec< 3, T, Q > const &up)
| Build a left handed look at view matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | lookAtRH (vec< 3, T, Q > const &eye, vec< 3, T, Q > const &center, vec< 3, T, Q > const &up)
| Build a right handed look at view matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | rotate (mat< 4, 4, T, Q > const &m, T angle, vec< 3, T, Q > const &axis)
| Builds a rotation 4 * 4 matrix created from an axis vector and an angle. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | scale (mat< 4, 4, T, Q > const &m, vec< 3, T, Q > const &v)
| Builds a scale 4 * 4 matrix created from 3 scalars. More...
template<typename T , qualifier Q>
GLM_FUNC_QUALIFIER mat< 4, 4, T, Q > | shear (mat< 4, 4, T, Q > const &m, vec< 3, T, Q > const &p, vec< 2, T, Q > const &l_x, vec< 2, T, Q > const &l_y, vec< 2, T, Q > const &l_z)
| Builds a scale 4 * 4 matrix created from point referent 3 shearers. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR mat< 4, 4, T, Q > | translate (mat< 4, 4, T, Q > const &m, vec< 3, T, Q > const &v)
| Builds a translation 4 * 4 matrix created from a vector of 3 components. More...

## Detailed Description

GLM_EXT_matrix_transform

Definition in file ext/matrix_transform.hpp.